Bug 257312 - x11/dsbxinput: Update to 0.1.1
Summary: x11/dsbxinput: Update to 0.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL: https://github.com/mrclksr/DSBXinput/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-21 13:57 UTC by Marcel Kaiser
Modified: 2021-09-11 18:44 UTC (History)
3 users (show)

See Also:
mk: maintainer-feedback+
kbowling: merge-quarterly-


Attachments
git diff to upgrade dsbxinput-0.1 to dsbxinput-0.1.1 (1.04 KB, patch)
2021-07-21 13:57 UTC, Marcel Kaiser
mk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Kaiser 2021-07-21 13:57:41 UTC
Created attachment 226591 [details]
git diff to upgrade dsbxinput-0.1 to dsbxinput-0.1.1

Release notes: https://github.com/mrclksr/DSBXinput/releases/tag/0.1.1

QA:
portlint: OK (looks fine.)
testport: OK (poudriere: 130Ramd64)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-22 01:33:11 UTC
^Triage: Add python 3.8 support, MFH

@Maintainer Did upstream remove 3.7 support, or does it support 3.7+ ?

Does it also support and pass runtime tests / test suite with 3.9/3.10? If not it should be marked 3.7-3.8
Comment 2 Marcel Kaiser 2021-07-22 15:17:44 UTC
(In reply to Kubilay Kocak from comment #1)

Hi Kubilay,

the port depends on pyqt which is build for $PYTHON_DEFAULT (3.8), so I figured the easiest way to fix it is changing the script's shebang to use Python 3.8 instead of 3.7.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-23 04:12:11 UTC
(In reply to Marcel Kaiser from comment #2)

Thanks for the feedback Marcel.

That (3.8) is just the 'current point in time' default version, provided by the ports framework, not individual ports. The default changes over time, and users cann choose whatever default version they like (overriding the default).

Individual ports declaratively just specify what versions the package (code) supports.

In py-qt5's case, that's:

  USES=		metaport python:3.5+ (annythingn from 3.5 up, currently, to 3.10)

In this ports case, whatever python versions the code in dsbxinput.in supports ("actually can run with"). This is a matter of testing the code.

A good best-practice read over how to write as portably as possible (as an upstream), is:

  https://www.python.org/dev/peps/pep-0394/

For example the shebang line in sdbxinput should likely/probably be "/usr/bin/env python3" (in that it supports, and will call python3 on user systems), unless its Python 2/3 compatible in which case "/usr/bin/env python" might be more suitable.

Don't hesitate to jump on #freebsd-python on LiberaChat IRC if you need support or have further questions, we're happy to help
Comment 4 Marcel Kaiser 2021-07-23 15:23:00 UTC
(In reply to Kubilay Kocak from comment #3)

Thanks a lot for the explanation, Kubilay :-)
Comment 5 commit-hook freebsd_committer 2021-09-11 18:41:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d96d611f858918a824cdbf08a11777bffdc72ac5

commit d96d611f858918a824cdbf08a11777bffdc72ac5
Author:     Marcel Kaiser <mk@nic-nac-project.org>
AuthorDate: 2021-09-11 18:39:02 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-09-11 18:40:26 +0000

    x11/dsbxinput: Update to 0.1.1

    PR:             257312

 x11/dsbxinput/Makefile | 5 ++---
 x11/dsbxinput/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 6 deletions(-)
Comment 6 Kevin Bowling freebsd_committer 2021-09-11 18:44:35 UTC
Thanks for your contribution, since this fixes the current py default I committed it but you should cut a new release with your env change.